Package org.apache.sysds.runtime.instructions.spark

## Class ParameterizedBuiltinSPInstruction.RDDTransformApplyOffsetFunction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.ParameterizedBuiltinSPInstruction.RDDTransformApplyOffsetFunction

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.PairFunction<scala.Tuple2<Long,​FrameBlock>,​Long,​Long>`

Enclosing class:
  ParameterizedBuiltinSPInstruction

    public static class ParameterizedBuiltinSPInstruction.RDDTransformApplyOffsetFunction
    extends Object
    implements org.apache.spark.api.java.function.PairFunction<scala.Tuple2<Long,​FrameBlock>,​Long,​Long>

See Also:
  Serialized Form

### Constructor Summary

Constructors
`RDDTransformApplyOffsetFunction​(String spec, String[] colnames)`

### Method Summary

All Methods Instance Methods Concrete Methods
`scala.Tuple2<Long,​Long>` `call​(scala.Tuple2<Long,​FrameBlock> in)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RDDTransformApplyOffsetFunction

    public RDDTransformApplyOffsetFunction​(String spec,
                                           String[] colnames)

### Method Detail

#### call

    public scala.Tuple2<Long,​Long> call​(scala.Tuple2<Long,​FrameBlock> in)
                                       throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.PairFunction<scala.Tuple2<Long,​FrameBlock>,​Long,​Long>`
Throws:
  `Exception`